function [ pinky, ring, middle, index, thumb ] = identifyFingers( fingertips, comX, comY )
%identifyFingers Identify which fingers are up
%   fingertips - list of the fingertip coordinates
%   comX - center of mass of the x component
%   comY - center of mass of the y component

pinky = false;
ring = false;
middle = false;
index = false;
thumb = false;

[unused num_tips] = size(fingertips);
for i=1:num_tips
    xVal = fingertips(1,i);
    yVal = fingertips(2,i);
    dx = abs(comX - xVal);
    dy = abs(comY - yVal);
    angle = atan(dy/dx)*180/pi;
    
    %based on angle, identify specific finger
    if(angle < 13)
       middle = true;
       continue
    end

    if(angle > 13 && angle < 27 && yVal > comY)
       index = true;
       continue
    end
    
    if(angle > 13 && angle < 27 && yVal < comY)
       ring = true;
       continue
    end
    
    if(angle > 27 && yVal > comY)
       thumb = true;
       continue
    end
    
    if(angle > 27 && yVal < comY)
       pinky = true;
       continue        
    end    
end

end

