function [ h, s, v ] = trainHSVhist( im, hHist, sHist, vHist )

im = rgb2hsv(im);
[rows cols depth] = size(im);

[numBins unused] = size(hHist);

binSize = 1/numBins;

for i=1:rows,
    for j=1:cols,
        valH = im(i,j,1);
        valS = im(i,j,2);
        valV = im(i,j,3);
        
        binH = ceil(valH/binSize);
        binS = ceil(valS/binSize);
        binV = ceil(valV/binSize);
        
        if(binH == 0) binH = binH + 1; end
        if(binS == 0) binS = binS + 1; end
        if(binV == 0) binV = binV + 1; end
        
        hHist(binH, 1) =  hHist(binH, 1) + 1;
        sHist(binS, 1) =  sHist(binS, 1) + 1;
        vHist(binV, 1) =  vHist(binV, 1) + 1;            
    end
end

h = hHist;
s = sHist;
v = vHist;

end

